import * as config from './config'
import * as logger from './log'
import { mqttHandler } from './MqttDispatcher'

import { M433SwitchItem } from './M433SwitchItem'
import { HomematicFourButtonThing, HomematicFourButtonSingleItem } from './HomematicFourButtonThing'
import { DimmerAdaptor } from './DimmerAdaptor'
import { TimerAdaptor } from './TimerAdaptor'
import { HomematicDimmerItem } from './HomematicDimmerItem'
import { HomematicSwitchItem } from './HomematicSwitchItem'
import { Forwarder } from './Forwarder'



logger.info("Dispatcher starting")

let aquariumLight = new M433SwitchItem('1st', 'Anna', 'AquariumLight', '14665044 24 1', '14665041 24 1')
aquariumLight.start()
    
let deskLight = new M433SwitchItem('Gnd', 'Hallway', 'DeskLight', '83221 24 1', '83220 24 1')
deskLight.start()

let testFourButton = new HomematicFourButtonThing('Gnd', 'Hallway', 'TestButton', 9, [
  new HomematicFourButtonSingleItem('dispatcher_ng/items/Gnd/Hallway/Testlight/dimmerIn'),
  new HomematicFourButtonSingleItem('dispatcher_ng/items/Gnd/Hallway/DeskLight/timerIn'),
  new HomematicFourButtonSingleItem('test/button/3'),
  new HomematicFourButtonSingleItem('test/button/4')
])
testFourButton.start()

let testDimmerAdaptor = new DimmerAdaptor('Gnd', 'Hallway', 'Testlight')
testDimmerAdaptor.start()

let testTimerAdaptor = new TimerAdaptor('Gnd', 'Hallway', 'DeskLight', 10)
testTimerAdaptor.start()

let testLight = new HomematicDimmerItem('Gnd', 'Hallway', 'Testlight', 8)
testLight.start()

let testLight2 = new HomematicSwitchItem('Gnd', 'Hallway', 'Testlight2', 5)
testLight2.start()

let testForwarder = new Forwarder('Gnd', 'Hallway', 'TestForwarder', 'state', [
  'dispatcher_ng/items/Gnd/Hallway/Testlight2/state',
  'dispatcher_ng/items/Gnd/Hallway/DeskLight/state'
])
testForwarder.start()



mqttHandler.exec()
logger.info("Dispatcher running")


